Subject: Re: [PATCH v2 00/30] initial support for multiple hash functions

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 8 Feb 2024 07:11:33 +0100

On Wed, Feb 07, 2024 at 04:24:13PM -0800, Linus Arver wrote:
> Junio C Hamano <[email-masked]> writes:
> 
> > "Eric W. Biederman" <[email-masked]> writes:
> >
> >> This addresses all of the known test failures from v1 of this set of
> >> changes.  In particular I have reworked commit_tree_extended which
> >> was flagged by smatch, -Werror=array-bounds, and the leak detector.
> >>
> >> One functional bug was fixed in repo_for_each_abbrev where it was
> >> mistakenly displaying too many ambiguous oids.
> >>
> >> I am posting this so that people review and testing of this patchset
> >> won't be distracted by the known and fixed issues.
> >
> > We haven't seen any reviews on this second round, and have had it
> > outside 'next' for too long.  I am tempted to say that we merge it
> > to 'next' and see if anybody screams at this point.
> 
> FWIW out of all the "Needs review" topics this one seemed like the most
> deserving of another pair of eyes, and I was planning to review some of
> the patches here this week + the weekend. If my review takes too long
> (taking longer than this weekend) I can give another update next week
> saying "too hard for me, please don't wait for me" to unblock you from
> merging to next.

I completely lost track of this patch series. So same for me: I don't
want to hold it up, but would be happy to give it a pair of eyes next
week.

Patrick